Last Comment Bug 218725 - mailnews crashes when going online after being offline [@ morkArray::CloseArray]
: mailnews crashes when going online after being offline [@ morkArray::CloseArray]
Status: VERIFIED FIXED
: crash, regression
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Backend (show other bugs)
: Trunk
: x86 Windows XP
: -- critical (vote)
: ---
Assigned To: David :Bienvenu
: grylchan
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-09 03:25 PDT by Stefan Magdalinski
Modified: 2004-11-22 17:25 PST (History)
3 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
proposed fix (1.17 KB, patch)
2003-09-10 08:55 PDT, David :Bienvenu
sspitzer: review+
mscott: superreview+
sspitzer: approval1.5+
Details | Diff | Review
fix underlying problem - for 1.6 (661 bytes, patch)
2003-09-10 09:22 PDT, David :Bienvenu
no flags Details | Diff | Review

Description Stefan Magdalinski 2003-09-09 03:25:34 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.5b) Gecko/20030827
Build Identifier: Mozilla/5.0 (Windows; U; Win NT 5.1; en-US; rv:1.5b) Gecko/20030901


see steps to reproduce. There should be some talkback logs around to with

"switching from working offline to online" in the browser URL field (wrong place
I know, sorry)

Reproducible: Always

Steps to Reproduce:
1. start mailnews.
2. go offline (ALT f l w)
3. go online (ALT f l w again)
4. When asked if you wish to send Unsent messages (if you have some... this may
be relevant - I haven't tried without), select "Don't send"




Actual Results:  

kaboom! 

Expected Results:  

gone online.
Comment 1 Stefan [:stefanh] 2003-09-09 05:41:21 PDT
Reporter, could you please post the Talkback ID for the incident? You'll find
the ID if you start talkback (run "talkback.exe").
Comment 2 Stefan Magdalinski 2003-09-09 06:32:59 PDT
ok. try

TB23435431M
TB23434977X

Comment 3 David :Bienvenu 2003-09-09 07:20:49 PDT
Stefan, I can't reach talkback to see the stacktraces. Can you send me your
prefs.js? There must be something about your configuration that's causing the
crash because this works fine for me. Thx.
Comment 4 Stefan Magdalinski 2003-09-10 07:45:54 PDT
Bienvenu: I emailed you my prefs.

also, this only seems to occur if you choose NOT to send your unsent messages
when going online. If you send the messages, or don't have any waiting to be
sent, it's ok.


Comment 5 David :Bienvenu 2003-09-10 08:55:30 PDT
Created attachment 131183 [details] [diff] [review]
proposed fix

this will fix the problem. I have another patch to fix the underlying problem
in the msg db & dbfolderinfo code, but this fix is safer for 1.5
Comment 6 David :Bienvenu 2003-09-10 08:56:19 PDT
thx to seth for the stack trace:

0x0927802d
morkArray::CloseArray [c:/builds/seamonkey/mozilla/db/mork/src/morkArray.cpp,
line 135]
morkArray::CloseMorkNode [c:/builds/seamonkey/mozilla/db/mork/src/morkArray.cpp,
line 73]
morkTable::CloseTable [c:/builds/seamonkey/mozilla/db/mork/src/morkTable.cpp,
line 190]
morkTable::CloseMorkNode [c:/builds/seamonkey/mozilla/db/mork/src/morkTable.cpp,
line 100]
morkTable::~morkTable [c:/builds/seamonkey/mozilla/db/mork/src/morkTable.cpp,
line 108]
morkTable::`scalar deleting destructor'
morkObject::Release [c:/builds/seamonkey/mozilla/db/mork/src/morkObject.cpp,
line 68]
nsDBFolderInfo::ReleaseExternalReferences
[c:/builds/seamonkey/mozilla/mailnews/db/msgdb/src/nsDBFolderInfo.cpp, line 279]
nsDBFolderInfo::Release
[c:/builds/seamonkey/mozilla/mailnews/db/msgdb/src/nsDBFolderInfo.cpp, line 151]
nsImapOfflineSync::ProcessNextOperation
[c:/builds/seamonkey/mozilla/mailnews/imap/src/nsImapOfflineSync.cpp, line 663]

Comment 7 David :Bienvenu 2003-09-10 08:57:59 PDT
there are a couple extra lines in that patch that are for a separate problem -
they don't do anything at the moment, so they're harmless.
Comment 8 Scott MacGregor 2003-09-10 09:02:27 PDT
Comment on attachment 131183 [details] [diff] [review]
proposed fix

I don't understand your fix David =). Isn't this just a no-op? 

if (!imapInbox)
{
}

there is no else clause so the statements that follow will still be executed.
Comment 9 David :Bienvenu 2003-09-10 09:22:29 PDT
Created attachment 131184 [details] [diff] [review]
fix underlying problem - for 1.6

this fixes the underlying problem
Comment 10 (not reading, please use seth@sspitzer.org instead) 2003-09-10 11:07:02 PDT
Comment on attachment 131183 [details] [diff] [review]
proposed fix

r/a of that one line for 1.5:

+folderInfo = nsnull; // can't hold onto folderInfo longer than db

thanks david.
Comment 11 David :Bienvenu 2003-09-10 11:12:16 PDT
fixed
Comment 12 David :Bienvenu 2003-09-10 11:28:03 PDT
adding regression keyword
Comment 13 David :Bienvenu 2003-09-10 14:23:10 PDT
Stefan, thx. Please try tomorrow's mozilla build and let me know if this is
fixed for you.
Comment 14 Stefan Magdalinski 2003-09-11 04:43:00 PDT
verified with 

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5b) Gecko/20030910

Note You need to log in before you can comment on or make changes to this bug.